Latest 2.0.1
Homepage https://github.com/nikksindia/Twister
License MIT
Platforms ios 9.0
Dependencies Alamofire, HydraAsync
Authors

Swift Version
License
Carthage compatible
CocoaPods Compatible
Platform
PRs Welcome

Twister makes it easy to write a type safe network layer for any API. What it only needs is a model expected as API response, to confirm ‘Codable(Encodable&Decodable)’ protocol.

Requirements

  • iOS 9.0+
  • Xcode 8.1

Installation

CocoaPods

You can use CocoaPods to install Twister by adding it to your Podfile:

platform :ios, '9.0'
use_frameworks!
pod 'Twister'

Carthage

Create a Cartfile that lists the framework and run carthage update. Follow the instructions to add $(SRCROOT)/Carthage/Build/iOS/Twister.framework to an iOS project.

github "nikksindia/Twister"

Manually

  1. Add Alamofire as dependency in your project.
  2. Download and drop Twister.swift in your project.
  3. Congratulations!

Contribute

We would love you for the contribution to Twister, check the LICENSE file for more info.

Meta

Nikhil Sharma – @devilnikks[email protected]

Distributed under the MIT license. See LICENSE for more information.

https://github.com/nikksindia

Latest podspec

{
    "name": "Twister",
    "version": "2.0.1",
    "summary": "Type safe network layer written on the top of Alamofire.",
    "homepage": "https://github.com/nikksindia/Twister",
    "license": {
        "type": "MIT",
        "file": "License"
    },
    "authors": {
        "Nikhil Sharma": "[email protected]"
    },
    "platforms": {
        "ios": "9.0"
    },
    "swift_version": "4.1",
    "source": {
        "git": "https://github.com/nikksindia/Twister.git",
        "tag": "v2.0.1"
    },
    "source_files": "Twister/*",
    "dependencies": {
        "Alamofire": [],
        "HydraAsync": []
    }
}

Pin It on Pinterest

Share This